QSourceClip (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.extensions.quantel

## Interface QSourceClip

- All Superinterfaces:
    Component, InterchangeObject, MediaEntity, MetadataObject, Segment, SourceClip, SourceReferenceSegment
  All Known Implementing Classes:
    DescriptiveClipImpl, SourceClipImpl

      public interface QSourceClip
      extends SourceClip

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Stream` | `getRushBlob()`
    `int` | `getRushChannelMask()`
    `void` | `setRushBlob(Stream rushBlob)`
    `void` | `setRushChannelMask(Integer rushChannelMask)`

    - ### Methods inherited from interface tv.amwa.maj.model.SourceClip

      `clone, getFade, getFadeInLength, getFadeInType, getFadeOutLength, getFadeOutType, getSourceReference, getStartPosition, resolveRef, setFade, setFade, setSourceReference, setStartPosition`

    - ### Methods inherited from interface tv.amwa.maj.model.SourceReferenceSegment

      `getChannelIDs, getChannelIDsSize, getMonoSourceTrackIDs, getMonoSourceTrackIDsSize, getSourcePackageID, getSourceTrackID, setChannelIDs, setMonoSourceTrackIDs, setSourcePackageID, setSourceTrackID`

    - ### Methods inherited from interface tv.amwa.maj.model.Segment

      `generateSequence, segmentOffsetToTC, segmentTCToOffset`

    - ### Methods inherited from interface tv.amwa.maj.model.Component

      `appendComponentAttribute, appendComponentAttribute, appendComponentKLVData, appendComponentUserComment, appendComponentUserComment, clearComponentAttributes, clearComponentKLVData, clearComponentUserComments, countComponentAttributes, countComponentKLVData, countComponentUserComments, getComponentAttributes, getComponentDataDefinition, getComponentKLVData, getComponentLength, getComponentUserComments, getLengthPresent, removeComponentAttribute, removeComponentKLVData, removeComponentUserComment, setComponentDataDefinition, setComponentLength, setLengthPresent`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Method Detail

    - #### getRushChannelMask

          @UInt32
          int getRushChannelMask()
                                  throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setRushChannelMask

          void setRushChannelMask(@UInt32
                                  Integer rushChannelMask)
                           throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### getRushBlob

          Stream getRushBlob()
                      throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setRushBlob

          void setRushBlob(Stream rushBlob)

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.